SND_SOC_DAPM_FORCE_E(9)

NAME
snd_soc_dapm_force_enable_pin_unlocked - force a pin to be enabled

SYNOPSIS

int snd_soc_dapm_force_enable_pin_unlocked(struct snd_soc_dapm_context * dapm, const char * pin);

ARGUMENTS

dapm
    DAPM context

pin
    pin name

DESCRIPTION

Enables input/output pin regardless of any other state. This is intended for use with microphone bias supplies used in microphone jack detection.

Requires external locking.

NOTE

snd_soc_dapm_sync needs to be called after this for DAPM to do any widget power switching.

COPYRIGHT